Skip to main content
POST
transaction.created
{}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Body

application/json

Response schema for a transaction creation request

transactionId
string<uuid>
required

Unique identifier of the transaction

Example:

"1d8beb26-b4d1-47ee-8e5d-0d3905f200c7"

customerId
string
required

ID of the customer associated with this transaction

Example:

"0423300f-ae6d-4e82-8afb-a3b430e22e29"

quoteId
string
required

ID of the quote used for this transaction

Example:

"1d8beb26-b4d1-47ee-8e5d-0d3905f200c7"

transactionStatus
enum<string>
required

Current status of the transaction

Available options:
AWAITING_TRANSFER,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED,
CREATED,
EXPIRED
Example:

"PROCESSING"

source
object
required
destination
object
required
fees
Fees Schema · object
required

Fee structure for a transaction

createdAt
string
required

ISO timestamp when this transaction was created

Example:

"2023-08-01T12:00:00Z"

updatedAt
string
required

ISO timestamp when this transaction was last updated

Example:

"2023-08-01T12:00:00Z"

correlationId
string

Optional: You can add your own correlationId to match the transaction to your own internal records.

Example:

"03b7030f-6da1-4e76-3352-3debd82112c8"

transferInstructions
Fiat Transfer Instructions · object

Instructions for the customer to initiate the transfer

expiresAt
string

ISO timestamp when this transaction expires (only for AWAITING_TRANSFER status)

Example:

"2023-08-01T12:05:00Z"

Response

200

Acknowledged